%global module feedcache

Name:           python-feedcache
Version:        1.4.1
Release:        10%{?dist}
Summary:        Wrapper for Mark Pilgrim's FeedParser module which caches feed content

License:        MIT
URL:            http://feedcache.readthedocs.org
Source0:        https://pypi.python.org/packages/source/f/%{module}/%{module}-%{version}.tar.gz
Patch0:         %{name}-distribute.patch
BuildArch:      noarch


%description
A class to wrap Mark Pilgrim's FeedParser module so that parameters can be used
to cache the feed results locally instead of fetching the feed every time it is
requested. Uses both etag and modified times for caching. The cache is
parameterized to use different backend storage options.

%package -n python2-%{module}
Summary:	Wrapper for Mark Pilgrim's FeedParser module which caches feed content

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-feedparser
BuildRequires:  python2-shove
BuildRequires:  python2-futures

Requires:       python2-feedparser

%{?python_provide:%python_provide python2-%{module}}

%description -n python2-%{module}
A class to wrap Mark Pilgrim's FeedParser module so that parameters can be used
to cache the feed results locally instead of fetching the feed every time it is
requested. Uses both etag and modified times for caching. The cache is
parameterized to use different backend storage options.


%prep
%setup -q -n %{module}-%{version}
%patch0 -p1 -b .distribute

# Remove unnecessary shebangs to make rpmlint happy
for file in cachestoragelock __init__ test_cachestoragelock test_cache cache test_server example example_threads test_shovefilesystem ; do
  %{__sed} -i.orig -e 1d feedcache/${file}.py
  touch -r feedcache/${file}.py.orig feedcache/${file}.py
  %{__rm} feedcache/${file}.py.orig
done


%build
%py2_build

%install
%py2_install

%check
PYTHONPATH=. nosetests

%files -n python2-%{module}
%doc README.txt
%license LICENSE.txt
%{python2_sitelib}/%{module}/*
%{python2_sitelib}/%{module}-%{version}-py?.?.egg-info


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.4.1-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Charalampos Stratakis <cstratak@redhat.com> - 1.4.1-5
- Provide python2-feedcache

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Aug 27 2014 Luke Macken <lmacken@redhat.com> - 1.4.1-1
- Update to 1.4.1 (#810833)
- Update the URLs
- Enable the test suite

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3.1-7
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 16 2011 Luke Macken <lmacken@redhat.com> - 1.3.1-1
- Update to 1.3.1 (#700050)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.3-3
- Rebuild for Python 2.6

* Mon Nov 17 2008 Luke Macken <lmacken@redhat.com> 1.3-2
- Remove script shebangs to make rpmlint happy

* Tue Sep 16 2008 Luke Macken <lmacken@redhat.com> 1.3-1
- Initial package for Fedora
